summaryrefslogtreecommitdiffstats
path: root/multimedia/gpodder
diff options
context:
space:
mode:
author Chess Griffin <chess@chessgriffin.com>2010-05-12 17:42:37 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:42:37 +0200
commit8b4164df1968455684dd4f5d57f6e854950277c2 (patch)
treee80bf3472db6aef799f7cdd901fabb2036d6d88a /multimedia/gpodder
parent90f7d258c831c0bc8025938e8bf19c8a9ddb304f (diff)
downloadslackbuilds-8b4164df1968455684dd4f5d57f6e854950277c2.tar.gz
slackbuilds-8b4164df1968455684dd4f5d57f6e854950277c2.tar.xz
multimedia/gpodder: Updated for version 0.15.2
Diffstat (limited to 'multimedia/gpodder')
-rw-r--r--multimedia/gpodder/README7
-rw-r--r--multimedia/gpodder/doinst.sh9
-rw-r--r--multimedia/gpodder/gpodder.SlackBuild36
-rw-r--r--multimedia/gpodder/gpodder.info6
-rw-r--r--multimedia/gpodder/slack-desc14
5 files changed, 49 insertions, 23 deletions
diff --git a/multimedia/gpodder/README b/multimedia/gpodder/README
index 18ec9f474a..0b8a90f7ea 100644
--- a/multimedia/gpodder/README
+++ b/multimedia/gpodder/README
@@ -7,10 +7,9 @@ found in those feeds. gPodder has system-tray notifications, support for
optional iPod synchronization, and MP3/Ogg id3 tag editing.
This application requires python and vorbis-tools, part of the
-standard Slackware installation. It also requires intltool,
-xdg-utils, feedparser, help2man, sqlite, and pysqlite2 all of which
-can be found here at SlackBuilds.org. One can also enable optional
-id3 tagging and MP3-OGG conversion features by installing eyeD3,
+standard Slackware installation. It also requires feedparser and help2man,
+both of which can be found here at SlackBuilds.org. One can also enable
+optional id3 tagging and MP3-OGG conversion features by installing eyeD3,
id3lib, and lame, all of which can also be found here at
SlackBuilds.org. Finally, some of the other features in gPodder, such
as iPod synchronization, bittorrent downloading, and Bluetooth
diff --git a/multimedia/gpodder/doinst.sh b/multimedia/gpodder/doinst.sh
index d09159e772..3e5691a052 100644
--- a/multimedia/gpodder/doinst.sh
+++ b/multimedia/gpodder/doinst.sh
@@ -1,6 +1,9 @@
if [ -x /usr/bin/update-desktop-database ]; then
- ./usr/bin/update-desktop-database -q usr/share/applications
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi
-if [ -x /usr/bin/update-mime-database ]; then
- ./usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
fi
diff --git a/multimedia/gpodder/gpodder.SlackBuild b/multimedia/gpodder/gpodder.SlackBuild
index cad2933d9d..e113a1c14a 100644
--- a/multimedia/gpodder/gpodder.SlackBuild
+++ b/multimedia/gpodder/gpodder.SlackBuild
@@ -1,12 +1,31 @@
#!/bin/sh
# Slackware build script for gPodder
-# Written by Chess Griffin <chess@chessgriffin.com>
+
+# Copyright 2008-2009 Chess Griffin <chess@chessgriffin.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=gpodder
-VERSION=0.13.1
+VERSION=0.15.2
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -14,14 +33,17 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-DOCS="README COPYING PKG-INFO INSTALL"
+DOCS="README COPYING PKG-INFO INSTALL ChangeLog"
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
rm -rf $PKG
@@ -40,8 +62,10 @@ find . \
make install DESTDIR=$PKG || exit 1
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/man/man1
diff --git a/multimedia/gpodder/gpodder.info b/multimedia/gpodder/gpodder.info
index 9c445462f2..3ef6325532 100644
--- a/multimedia/gpodder/gpodder.info
+++ b/multimedia/gpodder/gpodder.info
@@ -1,8 +1,8 @@
PRGNAM="gpodder"
-VERSION="0.13.1"
+VERSION="0.15.2"
HOMEPAGE="http://gpodder.berlios.de"
-DOWNLOAD="http://download.berlios.de/gpodder/gpodder-0.13.1.tar.gz"
-MD5SUM="868b42a369cdbc5f94e75b095b240dd3"
+DOWNLOAD="http://download.berlios.de/gpodder/gpodder-0.15.2.tar.gz"
+MD5SUM="7ca7256604f6e65bedb45aa856d3de37"
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
APPROVED="dsomero"
diff --git a/multimedia/gpodder/slack-desc b/multimedia/gpodder/slack-desc
index 3221299b2f..fc3f058694 100644
--- a/multimedia/gpodder/slack-desc
+++ b/multimedia/gpodder/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
gpodder: gPodder (GTK2 media aggregator)
gpodder:
-gpodder: gPodder is a podcast receiver/catcher written in
-gpodder: Python utilizing PyGTK for its user interface.
-gpodder: gPodder allows the user to subscribe to RSS feeds
-gpodder: for podcasts, videocasts, and other similar content
+gpodder: gPodder is a podcast receiver/catcher written in Python utilizing
+gpodder: PyGTK for its user interface. gPodder allows the user to subscribe
+gpodder: to RSS feeds for podcasts, videocasts, and other similar content
gpodder: and download media files found in those feeds.
-gpodder: gPodder has system-tray notifications, support for
-gpodder: optional iPod synchronization, and MP3/Ogg id3 tag
-gpodder: editing.
+gpodder: gPodder has system-tray notifications, support for optional iPod
+gpodder: synchronization, and MP3/Ogg id3 tag editing.
+gpodder:
gpodder: Homepage: http://gpodder.berlios.de
+gpodder: